//*****************************************************************************
//*****************************************************************************
//  FILENAME: BPF2_0.h
//   Version: 5.5, Updated on 2008/11/17 at 11:16:18
//  Generated by PSoC Designer ???
//
//  DESCRIPTION: C declarations for the BPF2 User Module.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems YYYY. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#pragma fastcall16 BPF2_0_Start
#pragma fastcall16 BPF2_0_SetPower
#pragma fastcall16 BPF2_0_Stop
#pragma fastcall16 BPF2_0_SetC1
#pragma fastcall16 BPF2_0_SetC2
#pragma fastcall16 BPF2_0_SetC3
#pragma fastcall16 BPF2_0_SetC4
#pragma fastcall16 BPF2_0_SetCA
#pragma fastcall16 BPF2_0_SetCB
#pragma fastcall16 BPF2_0_SetPolarity


//-------------------------------------------------
// Prototypes of the BPF2_0 API.
//-------------------------------------------------

extern void BPF2_0_Start(BYTE bPowerSetting);
extern void BPF2_0_SetPower(BYTE bPowerSetting);
extern void BPF2_0_Stop(void);
extern void BPF2_0_SetC1(BYTE bCapValue);
extern void BPF2_0_SetC2(BYTE bCapValue);
extern void BPF2_0_SetC3(BYTE bCapValue);
extern void BPF2_0_SetC4(BYTE bCapValue);
extern void BPF2_0_SetCA(BYTE bCapValue);
extern void BPF2_0_SetCB(BYTE bCapValue);
extern void BPF2_0_SetPolarity(BYTE bPolaritySetting);


//-------------------------------------------------
// Defines for BPF2_0 API's.
//-------------------------------------------------

#define BPF2_0_OFF                               (0x00)
#define BPF2_0_LOWPOWER                          (0x01)
#define BPF2_0_MEDPOWER                          (0x02)
#define BPF2_0_HIGHPOWER                         (0x03)

#define BPF2_0_FEEDBACK_16                       (0x00)
#define BPF2_0_FEEDBACK_32                       (0x01)

#define BPF2_0_POLARITY_INVERTING                (0x00)
#define BPF2_0_POLARITY_NON_INVERTING            (0x01)

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------

#pragma ioport  BPF2_0_FLIN_CR0:    0x080                       //Analog SCA control register 0
BYTE            BPF2_0_FLIN_CR0;
#pragma ioport  BPF2_0_FLIN_CR1:    0x081                       //Analog SCA control register 1
BYTE            BPF2_0_FLIN_CR1;
#pragma ioport  BPF2_0_FLIN_CR2:    0x082                       //Analog SCA control register 2
BYTE            BPF2_0_FLIN_CR2;
#pragma ioport  BPF2_0_FLIN_CR3:    0x083                       //Analog SCA control register 3
BYTE            BPF2_0_FLIN_CR3;
#pragma ioport  BPF2_0_FLFB_CR0:    0x090                       //Analog SCB control register 0
BYTE            BPF2_0_FLFB_CR0;
#pragma ioport  BPF2_0_FLFB_CR1:    0x091                       //Analog SCB control register 1
BYTE            BPF2_0_FLFB_CR1;
#pragma ioport  BPF2_0_FLFB_CR2:    0x092                       //Analog SCB control register 2
BYTE            BPF2_0_FLFB_CR2;
#pragma ioport  BPF2_0_FLFB_CR3:    0x093                       //Analog SCB control register 3
BYTE            BPF2_0_FLFB_CR3;

//  BPF2_0 Cap naming convention per Gregorian and Temes, p293

#pragma ioport  BPF2_0_FILT_C1_REG: 0x080
BYTE            BPF2_0_FILT_C1_REG;
#pragma ioport  BPF2_0_FILT_C2_REG: 0x081
BYTE            BPF2_0_FILT_C2_REG;
#pragma ioport  BPF2_0_FILT_C3_REG: 0x090
BYTE            BPF2_0_FILT_C3_REG;
#pragma ioport  BPF2_0_FILT_C4_REG: 0x082
BYTE            BPF2_0_FILT_C4_REG;
#pragma ioport  BPF2_0_FILT_CA_REG: 0x080
BYTE            BPF2_0_FILT_CA_REG;
#pragma ioport  BPF2_0_FILT_CB_REG: 0x090
BYTE            BPF2_0_FILT_CB_REG;


// end of file BPF2_0.h
